Package: grails.util

## [Groovy] Class Metadata.FinalReference<T>

- grails.util.Metadata.FinalReference

-     static class Metadata.FinalReference<T>
      extends java.lang.ref.SoftReference<T>

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private T` | `ref` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FinalReference (T t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `T` | `get()`

- - ### Field Detail

    - #### private final T ref

  - ### Constructor Detail

    - #### FinalReference(T t)

  - ### Method Detail

    - #### @java.lang.Override T get()